import request from '@/utils/request'

// 查询学科列表
export function listMallSubjectClass(query) {
  return request({
    url: '/mall/mallSubjectClass/list',
    method: 'get',
    params: query
  })
}

// 查询学科详细
export function getMallSubjectClass(subjectId) {
  return request({
    url: '/mall/mallSubjectClass/' + subjectId,
    method: 'get'
  })
}

// 新增学科
export function addMallSubjectClass(data) {
  return request({
    url: '/mall/mallSubjectClass',
    method: 'post',
    data: data
  })
}

// 修改学科
export function updateMallSubjectClass(data) {
  return request({
    url: '/mall/mallSubjectClass',
    method: 'put',
    data: data
  })
}

// 删除学科
export function delMallSubjectClass(subjectId) {
  return request({
    url: '/mall/mallSubjectClass/' + subjectId,
    method: 'delete'
  })
}
